{ config, inputs, lib, pkgs, ... }:

let
  inherit (lib) filterAttrs _;
in {
  imports =
    [ inputs.home-manager.nixosModules.home-manager ]
    ++ _.mapModulesRec' ./modules import;

  nix = {
  	settings = {
      experimental-features = [ "nix-command" "flakes" ];
      auto-optimise-store = true;
      keep-outputs = true;
      keep-derivations = true;
      substituters = [ 
        "https://nix-community.cachix.org" 
      ];
      trusted-public-keys = [
      	"nix-community.cachix.org-1:mB9FSh9qf2dCimDSUo8Zy7bkq5CX+/rkCWyvRCYg3Fs="
      ];
  	};
  };

  environment.systemPackages = with pkgs; [
    unrar unzip
    curl wget
    # hello! if you remove this, good luck
    # ever rebuilding your system using flakes!
    git
  ];

  time.timeZone = lib.mkDefault "America/Los_Angeles";

  i18n.defaultLocale = lib.mkDefault "en_US.UTF-8";

  system.stateVersion = lib.mkDefault "23.11";
}
